Scilab Function
Last update : 16/06/2004

sylm - matrice de Sylvester

### Calling Sequence

  `[S]=sylm(a,b)`

### Parameters

- `a,b` : deux polynômes
- `S` : matrice

### Description

`sylm(a,b)` renvoie la matrice de Sylvester associée aux polynômes `a` et `b`, i.e. la matrice `S` telle que :

`coeff( a*x + b*y )' = S * [coeff(x)';coeff(y)']`.

La dimension de `S` est égale à `degree(a)+degree(b)`.

Si `a` et `b` sont premiers entre eux alors

`rank(sylm(a,b))=degree(a)+degree(b))` et les instructions

      u = sylm(a,b) \ eye(na+nb,1)
      x = poly(u(1:nb),'z','coeff')
      y = poly(u(nb+1:na+nb),'z','coeff')

calculent les facteurs de Bezout `x` ainsi que `y` de degré minimum tels que `a*x+b*y = 1`